import "./src/functions/imagem.js";
import "./src/functions/repeat.js";
import "./src/functions/tab.js";
import "./src/functions/file.js";
import "./src/functions/link.js";
import "./src/functions/relational.js";
import "./src/functions/editor.js";
import "./src/functions/svg.js";
import "./src/functions/conditionalDisplay.js";

/* Configurações Padrões */
jQuery(function ($) {
  /* Configuração Padrão - Metabox sem bordas */
  $("#after_title-sortables")
    .children()
    .each(function () {
      $(this).find(".o2-metabox").appendTo("#after_title-sortables");
      $(this).remove();
    });

  /* Iniciar colorpicker */
  $('[type="color"]')
    .not(".no-spectrum")
    .each(function () {
      $(this).spectrum({
        showInput: true,
        preferredFormat: "hex",
        showButtons: false,
      });
    });
});
